<?php
require_once "connect.php";

// dados da seção
$id_usuario = 0;
$id = 0;

if(isset($_SESSION['id_usuario'])){
    $id_usuario = $_SESSION['id_usuario'];
}

if(isset($_POST['id'])){
  $id         = $_POST['id'];
}

//Recebendo parametros do Form
$ds_sit_trib_pis	= trim($_POST['ds_sit_trib_pis']);
$st_ativo	= 1;
$ok = true;

// preprarando sql conforme instrição editar, excluir e adicionar
if(isset($_POST['editar'])) {
  $sql = "update erpc_dom_sit_trib_pis set ds_sit_trib_pis = '$ds_sit_trib_pis',st_ativo  =  $st_ativo, id_usuario = $id_usuario, dh_alteracao=now()";
  $sql .= " where id = '$id'";
}else
	if(isset($_POST['excluir'])) {
	$sql = "update erpc_dom_sit_trib_pis set st_ativo = 0, id_usuario = $id_usuario, dh_alteracao=now()";
	$sql .= " where id = '$id'";
}else
	if(isset($_POST['adicionar'])) {
	$sql = "insert into erpc_dom_sit_trib_pis ( id, ds_sit_trib_pis, st_ativo, id_usuario) values ( '$id', '$ds_sit_trib_pis', $st_ativo, $id_usuario )";
}

// Se montou o SQL, executa
if($sql!=""){
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  $ok = mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
}

//Voltando para lista
if(isset($_POST['helper'])){
  if ($ok) {
    $msg['text'] = 'Item inserido com sucesso';
    $msg['type'] = 'success';
  } else {
    $msg['text'] = $errorMsg;
    $msg['type'] = 'error';
  }
  header('Content-type: application/json');
  echo json_encode($msg);
}else{
  header("Location:erpc_dom_sit_trib_pis_list.php");
}
?>
